Bug 1061431 - containers are inaccessible after upgrade
Summary: containers are inaccessible after upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: docker-io
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-04 20:29 UTC by Adam Miller
Modified: 2014-07-01 22:59 UTC (History)
7 users (show)

Fixed In Version: docker-io-0.8.0-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-22 01:49:25 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Miller 2014-02-04 20:29:30 UTC
Description of problem:

$ yum update docker-io --enablerepo=epel-testing
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
epel/metalink                                                                             |  14 kB     00:00
epel-testing/metalink                                                                     |  13 kB     00:00
 * base: mirrors.syringanetworks.net
 * epel: fedora-epel.mirror.lstn.net
 * epel-testing: fedora-epel.mirror.lstn.net
 * extras: mirror.unl.edu
 * updates: mirror.raystedman.net
base                                                                                      | 3.7 kB     00:00
epel                                                                                      | 4.2 kB     00:00
epel/primary_db                                                                           | 5.9 MB     00:03
epel-testing                                                                              | 4.2 kB     00:00
epel-testing/primary_db                                                                   | 354 kB     00:00
extras                                                                                    | 3.4 kB     00:00
updates                                                                                   | 3.4 kB     00:00
updates/primary_db                                                                        | 1.4 MB     00:00
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package docker-io.x86_64 0:0.7.2-2.el6 will be updated
---> Package docker-io.x86_64 0:0.7.6-2.el6 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

=================================================================================================================
 Package                   Arch                   Version                     Repository                    Size
=================================================================================================================
Updating:
 docker-io                 x86_64                 0.7.6-2.el6                 epel-testing                 3.4 M

Transaction Summary
=================================================================================================================
Upgrade       1 Package(s)

Total download size: 3.4 M
Is this ok [y/N]: y
Downloading Packages:
docker-io-0.7.6-2.el6.x86_64.rpm                                                          | 3.4 MB     00:01
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating   : docker-io-0.7.6-2.el6.x86_64                                                                  1/2
  Cleanup    : docker-io-0.7.2-2.el6.x86_64                                                                  2/2
  Verifying  : docker-io-0.7.6-2.el6.x86_64                                                                  1/2
  Verifying  : docker-io-0.7.2-2.el6.x86_64                                                                  2/2

Updated:
  docker-io.x86_64 0:0.7.6-2.el6

Complete!

$ service docker restart
Stopping docker:                                           [FAILED]
Starting docker:                                           [  OK  ]

$ docker ps -a
CONTAINER ID        IMAGE               COMMAND             CREATED             STATUS              PORTS               NAMES
ab0e4ba814ab        centos:6.4          /bin/bash           5 days ago          Ghost                                   angry_euclide
89fcd3faa5a6        centos:6.4          /bin/bash           10 days ago         Exit 255                                test_libevent_tmux   
7fde91c0e432        fedora:rawhide      /bin/bash           11 days ago         Exit 255                                rawhide              
cf954960224a        fedora:20           /bin/bash           11 days ago         Exit 255                                high_nobel           

$ docker start 7fde91c0e432 
Error: start: Cannot start container 7fde91c0e432: no such file or directory
2014/02/04 12:15:36 Error: failed to start one or more containers

$ docker start 89fcd3faa5a6 
Error: start: Cannot start container 89fcd3faa5a6: no such file or directory
2014/02/04 12:15:40 Error: failed to start one or more containers

$ docker attach ab0e4ba814ab
[error] commands.go:2475 Error resize: Error: resize: ptyMaster does not have Fd() method
Error: Impossible to attach to a ghost container

Comment 1 Fedora Update System 2014-02-06 16:18:15 UTC
docker-io-0.8.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-io-0.8.0-1.fc19

Comment 2 Fedora Update System 2014-02-07 15:27:46 UTC
docker-io-0.8.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0461/docker-io-0.8.0-1.el6

Comment 3 Fedora Update System 2014-02-09 00:17:22 UTC
docker-io-0.8.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/docker-io-0.8.0-2.el6

Comment 4 Fedora Update System 2014-02-09 18:16:31 UTC
Package docker-io-0.8.0-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing docker-io-0.8.0-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0495/docker-io-0.8.0-2.el6
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-02-13 23:43:10 UTC
docker-io-0.8.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/docker-io-0.8.0-3.el6

Comment 6 Fedora Update System 2014-02-22 01:49:25 UTC
docker-io-0.8.0-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.